﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace UltraGridWithSummary_4
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            DataTable dt = new DataTable();
            dt.Columns.Add("ChargeType", typeof(string));
            dt.Columns.Add("Charge 1", typeof(decimal));
            dt.Columns.Add("Charge 2", typeof(decimal));
            dt.Columns.Add("Charge 3", typeof(decimal));

            dt.Rows.Add("AAA", 10, 20, 30);
            dt.Rows.Add("BBB", 10, 20, 30);
            dt.Rows.Add("CCC", 10, 20, 30);
            dt.Rows.Add("DDD", 10, 20, 30);

            ultraGrid1.DataSource = dt;

            ultraGrid1.DisplayLayout.Bands[0].Summaries.Add(Infragistics.Win.UltraWinGrid.SummaryType.Average, ultraGrid1.DisplayLayout.Bands[0].Columns["Charge 1"], Infragistics.Win.UltraWinGrid.SummaryPosition.UseSummaryPositionColumn);
            ultraGrid1.DisplayLayout.Bands[0].Summaries.Add(Infragistics.Win.UltraWinGrid.SummaryType.Sum, ultraGrid1.DisplayLayout.Bands[0].Columns["Charge 1"], Infragistics.Win.UltraWinGrid.SummaryPosition.UseSummaryPositionColumn);

            ultraGrid1.DisplayLayout.Bands[0].Summaries.Add(Infragistics.Win.UltraWinGrid.SummaryType.Average, ultraGrid1.DisplayLayout.Bands[0].Columns["Charge 2"], Infragistics.Win.UltraWinGrid.SummaryPosition.UseSummaryPositionColumn);
            ultraGrid1.DisplayLayout.Bands[0].Summaries.Add(Infragistics.Win.UltraWinGrid.SummaryType.Sum, ultraGrid1.DisplayLayout.Bands[0].Columns["Charge 2"], Infragistics.Win.UltraWinGrid.SummaryPosition.UseSummaryPositionColumn);

            ultraGrid1.DisplayLayout.Bands[0].Summaries.Add(Infragistics.Win.UltraWinGrid.SummaryType.Average, ultraGrid1.DisplayLayout.Bands[0].Columns["Charge 3"], Infragistics.Win.UltraWinGrid.SummaryPosition.UseSummaryPositionColumn);
            ultraGrid1.DisplayLayout.Bands[0].Summaries.Add(Infragistics.Win.UltraWinGrid.SummaryType.Sum, ultraGrid1.DisplayLayout.Bands[0].Columns["Charge 3"], Infragistics.Win.UltraWinGrid.SummaryPosition.UseSummaryPositionColumn);

        }
    }
}
